Subject: Re: 2.6.19-rc5-mm1 -- ppc64 ohci-hdc.c compile failure

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 10 Nov 2006 09:43:47 +1100

> Seems that the patch below has introduced USB_OHCI_HCD_PPC_OF enabled by
> default.  When it and CONFIG_USB_OHCI_HCD_PPC_SOC are enabled which
> occured by default on my config then we end up with two module_init()
> calls, which is illegal.
> 
>   powerpc-add-of_platform-support-for-ohci-bigendian-hc
> 
> I am guessing that we are only meant to be able to have one of these
> defined at a time?  I changed the default to n for this and I could at
> least compile the kernel, but I am sure thats not the right fix.

Paul, which patch did you merge ? I rejected the initial one that was
doing 2 drivers/probe routines and Nicolas did a new one.. You may have
taken the wrong one.

Cheers.
Ben.